VoxLink.ai

API Reference

Create folder

Create a folder to organize your assistants

Updated 30 June 2026
On this page

Create a folder to group your assistants. Assign assistants to a folder with the folder_id field on the Create assistant and Update assistant endpoints.

Request Body

namestringrequired

The folder name (max 255 characters). Must be unique within your account.

colorstring

A color for the folder badge. One of: gray, slate, red, orange, amber, green, teal, blue, purple, pink.

Response

messagestring

Success message

dataobject

idinteger

The unique identifier of the created folder

namestring

The folder name

colorstring

The folder color (or null)

assistants_countinteger

Number of assistants in this folder (always 0 for a new folder)

{
  "message": "Folder created successfully",
  "data": { "id": 12, "name": "Acme Corp", "color": "blue", "assistants_count": 0 }
}
{
  "message": "The name has already been taken.",
  "errors": { "name": ["The name has already been taken."] }
}

Related guides